Bug 440025 - [i810] Fn-F4 CRT/LCD button is ignored on compaq nx6320
[i810] Fn-F4 CRT/LCD button is ignored on compaq nx6320
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 09:16 EDT by David Timms
Modified: 2010-05-18 06:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:56:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
current /var/log/Xorg.0.log (25.23 KB, text/plain)
2008-04-07 17:14 EDT, David Timms
no flags Details
old /var/log/Xorg.0.log.old (28.45 KB, text/plain)
2008-04-07 17:15 EDT, David Timms
no flags Details
old Xorg.setup.log from F8 install (1.54 KB, application/octet-stream)
2008-04-07 17:22 EDT, David Timms
no flags Details
xorg log with F10/updates (126.23 KB, text/plain)
2009-07-05 08:44 EDT, David Timms
no flags Details

  None (edit)
Description David Timms 2008-04-01 09:16:41 EDT
Description of problem:
Pressing the notebook's Fn-F4 internal/external CRT/LCD cycle button has no effect.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.2.1-15.fc9  on  2008-03-28 x86_64 live cd

How reproducible:
always

Steps to Reproduce:
1. start an X session {eg default gnome: fedora login}
2. Plug in the external monitor
3. Press Fn-F4
  
Actual results:
no change
no messages in /var/log/messages

Expected results:
cycle between active:
- LCD
- LCD and VGA
- VGA
- LCD
{since the notebook has svideo/composite output on a minidin - it could / should
activate that output as well when the display is plugged in there}

Additional info:
HP compaq NX6320 notebook.
intel 945GM video
I have a feeling that the video chipset is able to display only one of VGA,
SVideo or Composite outputs at a time {along with the LCD panel either off or on}.
Bastien suggested in fedora-devel-list that this should be working for F9. Other
similar bugs are:
#139588 (i810) CRT/LCD switching broken
#141447 Switch from laptop LCD to monitor fails
#166745 unable to switch crt/lcd on notebook in X
#243002 D620 CRT/LCD button doesn't work (FN F8)
#434831 No acpi events generated for Fn-F8 CRT/LCD video switch key

If the VGA or SVideo or Composite is plugged in as I logout, and then login
again, then that output is switched on in addition to the LCD panel.
xrandr --auto causes detection {found/lost} and enabling/disabling of the
external VGA display, but not for the Svideo / composite OP.
Comment 1 Matěj Cepl 2008-04-02 19:05:40 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 David Timms 2008-04-07 17:14:16 EDT
Created attachment 301568 [details]
current /var/log/Xorg.0.log

I moved the xorg.conf out of the way when testing before submitting bug.
# ls -l /etc/X11/
total 84
drwxr-xr-x 2 root root 4096 2008-03-28 03:34 applnk
drwxr-xr-x 2 root root 4096 2008-04-05 11:47 fontpath.d
drwxr-xr-x 2 root root 4096 2008-04-05 06:05 fs
-rwxr-xr-x 1 root root 1052 2008-03-12 08:59 prefdm
drwxr-xr-x 2 root root 4096 2008-04-05 09:37 twm
lrwxrwxrwx 1 root root	 18 2008-03-25 09:20 X -> ../../usr/bin/Xorg
drwxr-xr-x 5 root root 4096 2008-04-05 06:05 xinit
-rw-r--r-- 1 root root	547 2008-03-13 03:57 Xmodmap
-rw-r--r-- 1 root root 1038 2007-06-28 22:53 xorg.conf.2007-06-28
-rw-r--r-- 1 root root 1752 2008-03-25 09:20 xorg.conf.2008-03-25
-rw-r--r-- 1 root root	493 2008-03-13 03:57 Xresources
Comment 3 David Timms 2008-04-07 17:15:53 EDT
Created attachment 301569 [details]
old /var/log/Xorg.0.log.old
Comment 4 David Timms 2008-04-07 17:22:11 EDT
Created attachment 301570 [details]
old Xorg.setup.log from F8 install

Note this one is very old.
=====
Rather than just the livecd F8beta i386, I now have now upgraded the F8 to
F9Beta plus rawhide updates to 2008-04-06.

Further testing with Fn-F4 shows that it flicker {twice} both the notebook
panel, and the svideo tv when connected, but never changes the image to either
of those screens.

xrandr is able to detect VGA or TV {svideo} plugged or not plugged, but doesn't
seem to activate, after many attempts via both xrandr --auto, xrandr --output
TV --auto etc, and through gnome-display-properties, it wouldn't switch the
svideo output on, same with the VGA output.

Log off and logon, with the svideo or VGA {lcd} plugged in works immediately.
Comment 5 Bug Zapper 2008-05-14 04:31:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-06-09 19:57:25 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 David Timms 2009-07-05 08:44:04 EDT
Created attachment 350534 [details]
xorg log with F10/updates

(In reply to comment #4)
> Further testing with Fn-F4 shows that the laptop's screen flickers {twice}
With F11, the display doesn't even flicker at all. It seems like the Fn-F4 output display activation keys do less than before. 

With this nx6320 (a different one: internal LCD screen is 1400x1050 instead of 1024x768), it is sometimes possible to use xrandr to manually set the VGA output on, but this doesn't usually work.

However, the detect of externally plugged display at login time does work, although the end result is not really satisfactory (eg attempting to clone the lower resolution 1024x768 of the external display onto the notebook's 1400x1050 display - errgh).
Comment 8 David Timms 2009-07-05 08:46:35 EDT
> (In reply to comment #4)
... the above with
xorg-x11-drv-i810-2.5.0-4.fc10.x86_64
kernel-2.6.29.2-52.fc10.x86_64(In reply to comment #7)
Comment 9 Vedran Miletić 2009-11-05 18:11:20 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 10 Bug Zapper 2009-11-18 07:28:03 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Vedran Miletić 2009-12-04 12:56:24 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora
Comment 12 abigail 2010-05-18 06:12:36 EDT
I just installed Fedora 12 last night, and I have the same problem on a Dell Latitude X1. The CRT/LCD functionality worked fine on Fedora 6, but seems completely non-functional on Fedora 12. *Nothing* happens when pressing Fn+F8. Not even a line to /var/log/Xorg.0.log.

Note You need to log in before you can comment on or make changes to this bug.